services:
  # ticket-pimp:
  #   container_name: pimp
  #   image: naudachu/ticket-pimp
  #   ports:
  #     - "8080:8080"
  #   depends_on:
  #     postgres:
  #       condition: service_healthy
  postgres:
    container_name: db
    image: "postgres:16.1-alpine3.18"
    environment:
      POSTGRES_DB: "tickets"
      POSTGRES_USER: "postgres"
      POSTGRES_PASSWORD: "postgres"
    ports:
      - "5432:5432"
    healthcheck:
      test: [ "CMD", "pg_isready", "-q", "-d", "tickets", "-U", "postgres" ]
      interval: 10s
      timeout: 5s
      retries: 5